import { z } from "zod";

export const gameConfigPatchSchema = z.object({
  timeLimit: z.number().default(2),
  scoreMultiplier: z.number().optional(),
  allowHints: z.boolean().default(false),
});

export type GameConfig = z.infer<typeof gameConfigPatchSchema>;
